Page MenuHomePhabricator

https://wikitech.wikimedia.org/view/ no longer redirects to /wiki
Closed, ResolvedPublic

Event Timeline

Schnark created this task.May 4 2018, 9:52 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2018, 9:52 AM

Change 430879 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/mediawiki-config@master] Fix wrong link to Server Admin Log on noc.wikimedia.org

https://gerrit.wikimedia.org/r/430879

Krinkle added a subscriber: Krinkle.May 4 2018, 4:13 PM

Thanks, but also: Cool URIs don't change. Looks like we broke the /view/ redirect that used to exist for old Wikitech urls. That definitely needs to be fixed as well.

Krinkle renamed this task from noc.wikimedia.org has a broken link to Server Admin Log to https://wikitech.wikimedia.org/view/ no longer redirects to /wiki.May 4 2018, 4:14 PM
Legoktm added a subscriber: Legoktm.May 4 2018, 4:21 PM

Did wikitech used to have $wgActionPaths enabled?

Did wikitech used to have $wgActionPaths enabled?

Yes, the original wikitech.wikimedia.org did that a long time. (The one from before labsconsole, which was renamed to wikitech, and the old wikitech imported there).

Change 430879 merged by jenkins-bot:
[operations/mediawiki-config@master] Fix wrong link to Server Admin Log on noc.wikimedia.org

https://gerrit.wikimedia.org/r/430879

Mentioned in SAL (#wikimedia-operations) [2018-06-04T18:52:46Z] <thcipriani@deploy1001> Synchronized docroot/noc/index.html: SWAT: [[gerrit:430879|Fix wrong link to Server Admin Log on noc.wikimedia.org]] T193848 (duration: 00m 50s)

Aklapper closed this task as Resolved.Jun 8 2018, 2:46 PM
Aklapper claimed this task.
Aklapper removed a project: Patch-For-Review.
Legoktm reopened this task as Open.Jun 8 2018, 6:56 PM

@Aklapper how is this resolved? https://wikitech.wikimedia.org/view/Server_Admin_Log still doesn't work.

bd808 removed Aklapper as the assignee of this task.Jun 10 2018, 3:00 PM
bd808 added a subscriber: bd808.

@Aklapper how is this resolved? https://wikitech.wikimedia.org/view/Server_Admin_Log still doesn't work.

We deployed Andre's patch that fixes the link on https://noc.wikimedia.org/. I have seen that it may require a local hard refresh to see the updated link. Per @Krinkle's comment in T193848#4182563 however I guess we may still want to make some config changes to restore /view/ support? I guess this could be $wgActionPaths configuration or apache level redirects/rewrites?

Vvjjkkii renamed this task from https://wikitech.wikimedia.org/view/ no longer redirects to /wiki to nmdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from nmdaaaaaaa to https://wikitech.wikimedia.org/view/ no longer redirects to /wiki.Jul 2 2018, 4:29 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

I still find these urls in archived records and citations, only to produce 404 Not Found responses.

Let's restore this redirect, shall we? (Cool URIs don't change, and Redirects matter).

Change 460467 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/puppet@production] openstack: Add redirect for /view/ on Wikitech

https://gerrit.wikimedia.org/r/460467

Change 460467 merged by Andrew Bogott:
[operations/puppet@production] openstack: Add redirect for /view/ on Wikitech

https://gerrit.wikimedia.org/r/460467

Legoktm closed this task as Resolved.Sep 23 2018, 12:13 AM
Legoktm assigned this task to Krinkle.
km@km-pt ~> curl -I "https://wikitech.wikimedia.org/view/Server_Admin_Log"
HTTP/2 301 
...
location: http://wikitech.wikimedia.org/wiki/Server_Admin_Log